Subject: Re: bug#40124: Bad interaction between before-string and :box faces
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked],Clément Pit-Claudel <[email-masked]>, [email-masked]
Date: Tue, 25 Aug 2020 15:35:26 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Wed, 18 Mar 2020 15:26:38 -0400
>> Cc: [email-masked]
>>
>> In the following sample, the word "test" should have its letters "e" and "s" in a box; but instead they display with just a bar above and below.  Removing the before-string property fixes the issue.
>>
>> (with-current-buffer (get-buffer-create "box-test")
>>   (erase-buffer)
>>   (insert "test")
>>   (let ((ov (make-overlay 2 4)))
>>     (overlay-put ov 'face '(:box t))
>>     (overlay-put ov 'before-string
>>                  (propertize ">" 'display
>>                              '(left-fringe right-arrow))))
>>   (pop-to-buffer (current-buffer)))
>>
>> This was reported by Artemios (cc'd) in https://github.com/flycheck/flycheck/issues/1666.
>
> Thanks, I think I fixed this now on the master branch.

There has been no followup within 22 weeks, so I'm going to assume the
fix worked and close this bug now.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas